Subject: [bug#40579] [PATCH v2] gnu: Add iPXE.

From: Brice Waegeneire <[email-masked]>
Date: Tue, 09 Jun 2020 22:11:43 +0200

Vincent Legoll <[email-masked]> writes:

> On 09/06/2020 21:31, Brice Waegeneire wrote:
>> Danny Milosavljevic <[email-masked]> writes:
>>
>>> ipxe.iso is not reproducible it seems.
>>>
>>> [...]
>> The attached patch should be reproducible, it is based on v3 from
>> Vincent.
>> It adds the following:
>> - generate a BUILD_ID based on the package's output hash
>> - use 'let' to set BUILD_TIMESTAMP
>> - set some useful options
>> - add a patch that reset the timestamps of ipxe.iso
>
> Nice and thanks for taking care of this, I've got less time to
> contribute lately.
>
> Did you try to upstream the reproducibility patch ?
> Should be straightforward enough.

No problem :)

No I didn't submit it to upstream, I got frighten by the answers to a
much smaller patch from a Debian team member about reproduciblity[0][1].
Those threads were useful to make our build reproducible tho.

[0]: https://lists.ipxe.org/pipermail/ipxe-devel/2020-May/007023.html
[1]: https://lists.ipxe.org/pipermail/ipxe-devel/2020-May/007051.html

- Brice